/*
 * Copyright 2006-2012 The JGUIraffe Team.
 *
 * Licensed under the Apache License, Version 2.0 (the "License")
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.jguiraffe.gui.builder.event;

/**
 * <p>
 * An enumeration class defining constants for special keys on a standard
 * keyboard.
 * </p>
 * <p>
 * This enumeration class is used for defining special keys in a way independent
 * on a specific GUI library. It contains constants for keys that do not
 * represent normal alphanumeric letters or viewable characters, but have a
 * special meaning.
 * </p>
 *
 * @author Oliver Heger
 * @version $Id: Keys.java 205 2012-01-29 18:29:57Z oheger $
 */
public enum Keys
{
    /** The backspace key. */
    BACKSPACE,

    /** The delete key. */
    DELETE,

    /** The down arrow key. */
    DOWN,

    /** The end key. */
    END,

    /** The enter key. */
    ENTER,

    /** The escape key. */
    ESCAPE,

    /** The function key F1. */
    F1,

    /** The function key F2. */
    F2,

    /** The function key F3. */
    F3,

    /** The function key F4. */
    F4,

    /** The function key F5. */
    F5,

    /** The function key F6. */
    F6,

    /** The function key F7. */
    F7,

    /** The function key F8. */
    F8,

    /** The function key F9. */
    F9,

    /** The function key F10. */
    F10,

    /** The function key F11. */
    F11,

    /** The function key F12. */
    F12,

    /** The function key F13. */
    F13,

    /** The function key F14. */
    F14,

    /** The function key F15. */
    F15,

    /** The function key F16. */
    F16,

    /** The home key. */
    HOME,

    /** The insert key. */
    INSERT,

    /** The left arrow key. */
    LEFT,

    /** The page down key. */
    PAGE_DOWN,

    /** The page up key. */
    PAGE_UP,

    /** The print screen key. */
    PRINT_SCREEN,

    /** The right arrow key. */
    RIGHT,

    /** The space key. */
    SPACE,

    /** The tab key. */
    TAB,

    /** The up arrow key. */
    UP
}
